Help building readline on OS X Leopard

Was following the instructions on this web page:

http://hivelogic.com/articles/2007/02/ruby-rails-mongrel-mysql-osx

When I got the following errors after issuing:

make

The error:

i686-apple-darwin9-gcc-4.0.1: -compatibility_version only allowed with
-dynamiclib
make[1]: *** [libreadline.5.1.dylib] Error 1
make: [shared] Error 2 (ignored)

Is there a detailed tutorial or resource that helps one build readline
before trying to build the Ruby 1.8.7 source?

Happy programming,

Unnsse

Was following the instructions on this web page:

http://hivelogic.com/articles/2007/02/ruby-rails-mongrel-mysql-osx

Did you follow the link at the top of that page (http://hivelogic.com/articles/2008/02/ruby-rails-leopard
) to the leopard version of those instructions ?

Fred